


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: JpaUserRepository</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.repository</a> ]
</div>

<h1>Coverage Summary for Class: JpaUserRepository (com.dema.timeregistration.repository)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">JpaUserRepository</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    80%
  </span>
  <span class="absValue">
    (4/ 5)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    90.9%
  </span>
  <span class="absValue">
    (10/ 11)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.repository;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.entity.GlobalRole;
<i>4</i>&nbsp;import com.dema.timeregistration.entity.User;
<i>5</i>&nbsp;import com.dema.timeregistration.repository.jpa.AbstractJpaRepository;
<i>6</i>&nbsp;
<i>7</i>&nbsp;import javax.persistence.EntityManager;
<i>8</i>&nbsp;import java.util.List;
<i>9</i>&nbsp;import java.util.Optional;
<i>10</i>&nbsp;
<i>11</i>&nbsp;public class JpaUserRepository extends AbstractJpaRepository&lt;User&gt; implements UserRepository {
<i>12</i>&nbsp;    public JpaUserRepository(EntityManager entityManager) {
<b class="fc"><i>13</i>&nbsp;        super(entityManager, User.class);</b>
<b class="fc"><i>14</i>&nbsp;    }</b>
<i>15</i>&nbsp;
<i>16</i>&nbsp;    @Override
<i>17</i>&nbsp;    public Optional&lt;User&gt; findByEmail(String email) {
<b class="fc"><i>18</i>&nbsp;        return entityManager</b>
<b class="fc"><i>19</i>&nbsp;                .createQuery(&quot;SELECT u FROM User u WHERE u.email=:email&quot;, User.class)</b>
<b class="fc"><i>20</i>&nbsp;                .setParameter(&quot;email&quot;, email)</b>
<b class="fc"><i>21</i>&nbsp;                .getResultStream().findFirst();</b>
<i>22</i>&nbsp;    }
<i>23</i>&nbsp;
<i>24</i>&nbsp;    @Override
<i>25</i>&nbsp;    public boolean existsByEmail(String email) {
<b class="fc"><i>26</i>&nbsp;        return findByEmail(email).isPresent();</b>
<i>27</i>&nbsp;    }
<i>28</i>&nbsp;
<i>29</i>&nbsp;    @Override
<i>30</i>&nbsp;    public List&lt;User&gt; findAll() {
<b class="nc"><i>31</i>&nbsp;        return entityManager.createQuery(&quot;SELECT u FROM User u&quot;, User.class).getResultList();</b>
<i>32</i>&nbsp;    }
<i>33</i>&nbsp;
<i>34</i>&nbsp;    @Override
<i>35</i>&nbsp;    public long countByGlobalRole(GlobalRole globalRole) {
<b class="fc"><i>36</i>&nbsp;        return entityManager.createQuery(&quot;SELECT count(u) FROM User u WHERE u.globalRole = :globalRole&quot;, Long.class)</b>
<b class="fc"><i>37</i>&nbsp;                .setParameter(&quot;globalRole&quot;, globalRole)</b>
<b class="fc"><i>38</i>&nbsp;                .getSingleResult();</b>
<i>39</i>&nbsp;    }
<i>40</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
